# Business Check Bulk

`POST /business_checks`

- Live: `POST https://gdapi.globaldata.net.au/api/v2/business_checks`
- Sandbox: `POST https://sandbox-gdapi.globaldata.net.au/api/v2/business_checks`

Performs bulk business checks using ABN/ACN values.

## Limits

- `requests` must contain between 1 and 100 items.

## Request body

Bulk business check request details.

| Field | Type | Description |
|-------|------|-------------|
| `requests` | array of objects [1..100 items] | **Required.** |
| `requests[].check_id` | string [max 255 characters] or null | Example: `req-1001` |
| `requests[].number` | string | **Required.** ABN (11 digits) or ACN (9 digits). Example: `605303875` |

**Sample request**

```json
{
    "requests": [
        {
            "check_id": "req-1001",
            "number": "605303875"
        }
    ]
}
```

## Responses

### 200 Bulk business check result.

Content type: `application/json`

| Field | Type | Description |
|-------|------|-------------|
| `message` | string | Example: `Ok` |
| `api_reference` | string (uuid) | Example: `fe4291ca-d831-4760-96df-c9cb03b3cd95` |
| `results` | array of objects |  |
| `results[].check_id` | string or null | Example: `req-1001` |
| `results[].error` | string or null | Example: `The number is not a valid ACN.` |
| `results[].match` | one of 2 shapes | One of: Business Check match; Empty array. The matched business. An empty array `[]` when the number is not known to the ABR or ASIC. Empty array: Returned when the number is not known to the ABR or ASIC. (array [max 0 items]) |
| `results[].match (Business Check match).name` | string or null | Example: `SEMVIA FINANCE PTY LTD` |
| `results[].match (Business Check match).type` | string or null | Example: `Australian Private Company` |
| `results[].match (Business Check match).abn` | string or null | Example: `91605303875` |
| `results[].match (Business Check match).abn_status` | string or null | Example: `active` |
| `results[].match (Business Check match).abn_gst_registered` | boolean | Example: `true` |
| `results[].match (Business Check match).acn` | string or null | Example: `605303875` |
| `results[].match (Business Check match).acn_status` | string or null | Example: `registered` |
| `results[].match (Business Check match).address_locality` | string or null | Example: `MELBOURNE` |
| `results[].match (Business Check match).address_state` | string or null | Example: `VIC` |
| `results[].match (Business Check match).address_postcode` | string or null | Example: `3000` |
| `results[].match (Business Check match).asic_reg_date` | string or null | Example: `2015-04-15` |
| `results[].match (Business Check match).asic_review_date` | string or null | Example: `2026-04-15` |
| `results[].match (Business Check match).asic_deregistered_date` | string or null |  |
| `results[].match (Business Check match).asic_recent_documents` | array of objects |  |
| `results[].match (Business Check match).asic_recent_documents[].form_code` | string | Example: `484` |
| `results[].match (Business Check match).asic_recent_documents[].description` | string | Example: `CHANGE TO COMPANY DETAILS` |
| `results[].match (Business Check match).asic_recent_documents[].date` | string | Example: `2021-07-07` |
| `results[].match (Business Check match).asic_recent_documents[].document_number` | string | Example: `7EBJ24000` |
| `results[].match (Business Check match).asic_recent_documents[].sub_documents` | array of objects |  |
| `results[].match (Business Check match).asic_recent_documents[].sub_documents[].form_code` | string | Example: `484N` |
| `results[].match (Business Check match).asic_recent_documents[].sub_documents[].description` | string | Example: `CHANGES TO (MEMBERS) SHARE HOLDINGS` |
| `results[].match (Business Check match).business_names` | array of objects |  |
| `results[].match (Business Check match).business_names[].name` | string | Example: `Payexpress` |
| `results[].match (Business Check match).business_names[].from` | string or null | Example: `2015-07-16` |
| `results[].match (Business Check match).business_names[].to` | string or null |  |
| `results[].match (Business Check match).business_names[].type` | string | Example: `business_name` |
| `results[].match (Business Check match).name_details` | array of objects |  |
| `results[].match (Business Check match).name_details[].type` | string | Example: `organisation` |
| `results[].match (Business Check match).name_details[].entity_name` | string | Example: `SEMVIA FINANCE PTY LTD` |
| `results[].match (Business Check match).name_details[].from` | string or null | Example: `2015-04-24` |
| `results[].match (Business Check match).name_details[].to` | string or null |  |

**Sample response**

```json
{
    "message": "Ok",
    "api_reference": "fe4291ca-d831-4760-96df-c9cb03b3cd95",
    "results": [
        {
            "check_id": "req-1001",
            "error": "The number is not a valid ACN.",
            "match": {
                "name": "SEMVIA FINANCE PTY LTD",
                "type": "Australian Private Company",
                "abn": "91605303875",
                "abn_status": "active",
                "abn_gst_registered": true,
                "acn": "605303875",
                "acn_status": "registered",
                "address_locality": "MELBOURNE",
                "address_state": "VIC",
                "address_postcode": "3000",
                "asic_reg_date": "2015-04-15",
                "asic_review_date": "2026-04-15",
                "asic_deregistered_date": null,
                "asic_recent_documents": [
                    {
                        "form_code": "484",
                        "description": "CHANGE TO COMPANY DETAILS",
                        "date": "2021-07-07",
                        "document_number": "7EBJ24000",
                        "sub_documents": []
                    }
                ],
                "business_names": [
                    {
                        "name": "Payexpress",
                        "from": "2015-07-16",
                        "to": null,
                        "type": "business_name"
                    }
                ],
                "name_details": [
                    {
                        "type": "organisation",
                        "entity_name": "SEMVIA FINANCE PTY LTD",
                        "from": "2015-04-24",
                        "to": null
                    }
                ]
            }
        }
    ]
}
```

Standard error responses: 400, 401, 402, 403, 429, 5XX (see [Common error responses](/docs/reference/general/common-error-responses.md))

